%define upstream_name    Mason
%define upstream_version 2.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Summary of differences between Mason 1 and
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Mason-2.15-missing_use.patch

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Class::Unload)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Guard)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(JSON)
BuildRequires: perl(Log::Any)
BuildRequires: perl(Memoize)
BuildRequires: perl(Method::Signatures::Simple)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::HasDefaults)
BuildRequires: perl(MooseX::StrictConstructor)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Try::Tiny)
BuildArch: noarch

%description
Mason is a powerful Perl-based templating system, designed to generate
dynamic content of all kinds.

Unlike many templating systems, Mason does not attempt to invent an
alternate, "easier" syntax for templates. It provides a set of syntax and
features specific to template creation, but underneath it is still clearly
and proudly recognizable as Perl.

Mason is most often used for generating web pages. It can handle web
requests directly via PSGI, or act as the view layer for a web framework
such as Catalyst or Dancer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p2 -b .missing_use

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/mason.pl
/usr/share/man/man1/mason.pl.1.xz



%changelog

* Mon Apr 23 2012 jquelin <jquelin> 2.150.0-1.mga2
+ Revision: 233003
- add missing use in utils
- adding missing buildrequires:
- imported package perl-Mason


* Mon Jan 09 2012 cpan2dist 2.15-1mga
- initial mageia release, generated with cpan2dist
